/*  xlogout - program quits on click, to be used as last process in .xsession

    Copyright (C) 2005 Erik Auerswald <auerswal@unix-ag.uni-kl.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include <stdlib.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/Command.h>

XtAppContext appContext;

static void quitProgram()
{
  XtDestroyApplicationContext(appContext);
  exit(0);
}

int main (int argc, char **argv)
{
  Widget topLevel, logoutButton;

  topLevel = XtAppInitialize(&appContext, "XLogout", NULL, 0, &argc,
                             argv, NULL, NULL, 0);
  logoutButton = XtVaCreateManagedWidget("quitButton", commandWidgetClass,
                                         topLevel, XtNlabel, "Logout", NULL);
  XtAddCallback(logoutButton, XtNcallback, quitProgram, NULL);
  XtRealizeWidget(topLevel);
  XtAppMainLoop(appContext);
  exit(0);
}
